This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking
in repository toolchain/abe.
commit fae07fd0e6b4652695f915bca37f7f834d41af95
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 18:44:46 2015 +0200
Make Benchmark.job delete the socket after build phase
Change-Id: Ic6bbb3209146fade2caac86e84eb3f37c5196329
---
config/bench/lava/host-session | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 30f2091..1f1dd6d 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -40,6 +40,7 @@ fi
#Non-parameters that we need to pass to Benchmark.job
export ABE_DIR
+export post_build_cmd="rm ${HOME}/data/socket"
export post_target_cmd='touch ${HOME}/messages/release'
export maindir="/${HOME}/bench"
mkdir "${maindir}" || exit 1
@@ -74,7 +75,7 @@ ip_addr="$(lava-network query `lava-group | grep '[[:blank:]]\+ho [...]
#Request agent just before we need it
#This would be two keys in one agent if we wanted one for source, one for job
echo "*** WAITING FOR AGENT: ${ip_addr}"
-echo "ssh -o ControlMaster=no -o ControlPath=/dev/null -A ${ip_addr}.lab 'ln -sf \ [...]
+echo "ssh -o ControlMaster=no -o ControlPath=/dev/null -A ${ip_addr}.lab 'ln -sf \ [...]
while ! test -e ~/data/socket; do
inotifywait -e create ~/data
done
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking
in repository toolchain/abe.
from aa9a702 Put dev-private public host key into known_hosts
adds 0e228e7 Put all exports for Benchmark.job in same place
adds 71f8a33 Rely on a single agent
adds 95d721e fakebench from dev-private
adds 4ba8068 Let benchmark.sh skip run as well as build
new a3435af Split Benchmark.job into build and run phases, accept arbitra [...]
new fae07fd Make Benchmark.job delete the socket after build phase
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/lava/host-session | 35 ++++++++++++-----------------------
config/sources.conf | 2 +-
scripts/Benchmark.job | 14 ++++++++++++--
scripts/benchmark.sh | 19 +++++++++++++++----
4 files changed, 40 insertions(+), 30 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking-agents
in repository toolchain/abe.
commit 4ba8068bed0df9c8f348062b62f83dd6613437ee
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 18:42:30 2015 +0200
Let benchmark.sh skip run as well as build
Change-Id: I2b91e42101c6c005d9f5a8cc9ae412098627ce7f
---
scripts/benchmark.sh | 19 +++++++++++++++----
1 file changed, 15 insertions(+), 4 deletions(-)
diff --git a/scripts/benchmark.sh b/scripts/benchmark.sh
index 0585021..7f9aaaf 100755
--- a/scripts/benchmark.sh
+++ b/scripts/benchmark.sh
@@ -83,7 +83,7 @@ fi
tag=""
compiler_flags=""
run_benchargs=""
-skip_build=
+phases="both"
benchmark_gcc_path=
cautious='-c'
keep= #'-p' (polite) - clean up and release target even if there is an error
@@ -91,7 +91,7 @@ keep= #'-p' (polite) - clean up and release target even if there [...]
#'-k' (keep) - unconditionally keep target-side data and target
target=
post_target_cmd=
-while getopts a:b:ce:f:g:hi:kps flag; do
+while getopts a:b:ce:f:g:hi:kps: flag; do
case "${flag}" in
a) run_benchargs="${OPTARG}";;
b) benchmark="${OPTARG}";;
@@ -125,7 +125,14 @@ while getopts a:b:ce:f:g:hi:kps flag; do
keep='-p'
echo 'Unconditional release (-p) set: data will be scrubbed and target rele [...]
;;
- s) skip_build=1;;
+ s)
+ phases="${OPTARG}"
+ if test x"${phases}" != xrunonly && test x"${phases}" != xbuildonly && test [...]
+ echo "-s takes 'runonly', 'buildonly' or 'both'" 1>&2
+ error=1
+ exit
+ fi
+ ;;
*)
echo "Bad arg" 1>&2
error=1
@@ -173,7 +180,7 @@ else #cross-build, implies we need remote devices
fi
fi
-if test x"${skip_build:-}" = x; then
+if test x"${phases}" != xrunonly; then
#abe can build the benchmarks just fine
(PATH="`dirname ${benchmark_gcc_path}`":${PATH} COMPILER_FLAGS=${compiler_flags} [...]
if test $? -ne 0; then
@@ -182,6 +189,10 @@ if test x"${skip_build:-}" = x; then
exit
fi
fi
+if test x"${phases}" = xbuildonly; then
+ error=0
+ exit
+fi
builddir="`. ${abe_top}/host.conf && . ${topdir}/lib/common.sh && if test x"${benc [...]
if test $? -ne 0; then
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking-agents
in repository toolchain/abe.
commit 123a21fb4148d6733fa770544edbaec516a31947
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 18:44:46 2015 +0200
Make Benchmark.job delete the socket after build phase
Change-Id: Ic6bbb3209146fade2caac86e84eb3f37c5196329
---
config/bench/lava/host-session | 3 ++-
1 file changed, 2 insertions(+), 1 deletion(-)
diff --git a/config/bench/lava/host-session b/config/bench/lava/host-session
index 30f2091..1f1dd6d 100755
--- a/config/bench/lava/host-session
+++ b/config/bench/lava/host-session
@@ -40,6 +40,7 @@ fi
#Non-parameters that we need to pass to Benchmark.job
export ABE_DIR
+export post_build_cmd="rm ${HOME}/data/socket"
export post_target_cmd='touch ${HOME}/messages/release'
export maindir="/${HOME}/bench"
mkdir "${maindir}" || exit 1
@@ -74,7 +75,7 @@ ip_addr="$(lava-network query `lava-group | grep '[[:blank:]]\+ho [...]
#Request agent just before we need it
#This would be two keys in one agent if we wanted one for source, one for job
echo "*** WAITING FOR AGENT: ${ip_addr}"
-echo "ssh -o ControlMaster=no -o ControlPath=/dev/null -A ${ip_addr}.lab 'ln -sf \ [...]
+echo "ssh -o ControlMaster=no -o ControlPath=/dev/null -A ${ip_addr}.lab 'ln -sf \ [...]
while ! test -e ~/data/socket; do
inotifywait -e create ~/data
done
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a change to branch bernie/benchmarking-agents
in repository toolchain/abe.
from 95d721e fakebench from dev-private
new 4ba8068 Let benchmark.sh skip run as well as build
new 315ecde Split Benchmark.job into build and run phases, accept arbitra [...]
new 123a21f Make Benchmark.job delete the socket after build phase
The 3 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
config/bench/lava/host-session | 3 ++-
scripts/Benchmark.job | 14 ++++++++++++--
scripts/benchmark.sh | 19 +++++++++++++++----
3 files changed, 29 insertions(+), 7 deletions(-)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch master
in repository gcc.
from f4a09f4 gcc/ * builtins.c (HAVE_atomic_clear, gen_atomic_clear): Del [...]
new 7b42a29 [AArch64] Removed unused VRL2/3/4 iterator values
new 5638e47 * gcc.target/i386/pr66648.c: Move to correct place.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
ChangeLog | 5 +++++
gcc/config/aarch64/iterators.md | 15 +++------------
gcc/testsuite/gcc.target/{ => i386}/pr66648.c | 0
3 files changed, 8 insertions(+), 12 deletions(-)
rename gcc/testsuite/gcc.target/{ => i386}/pr66648.c (100%)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
unknown user pushed a change to branch trunk
in repository gcc.
from f4a09f4 gcc/ * builtins.c (HAVE_atomic_clear, gen_atomic_clear): Del [...]
new 7b42a29 [AArch64] Removed unused VRL2/3/4 iterator values
new 5638e47 * gcc.target/i386/pr66648.c: Move to correct place.
The 2 revisions listed above as "new" are entirely new to this
repository and will be described in separate emails. The revisions
listed as "adds" were already present in the repository and have only
been added to this reference.
Summary of changes:
ChangeLog | 5 +++++
gcc/config/aarch64/iterators.md | 15 +++------------
gcc/testsuite/gcc.target/{ => i386}/pr66648.c | 0
3 files changed, 8 insertions(+), 12 deletions(-)
rename gcc/testsuite/gcc.target/{ => i386}/pr66648.c (100%)
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.
This is an automated email from the git hooks/post-receive script.
bernie.ogden pushed a commit to branch bernie/benchmarking-agents
in repository toolchain/abe.
The following commit(s) were added to refs/heads/bernie/benchmarking-agents by this push:
new 95d721e fakebench from dev-private
95d721e is described below
commit 95d721e94d13bfce0635e574ab1f9dca685e272e
Author: Bernard Ogden <bernie.ogden(a)linaro.org>
Date: Thu Jul 30 17:32:30 2015 +0200
fakebench from dev-private
Change-Id: I7360aa6626cc8856cd7825cdccf01d4ee58f3a12
---
config/sources.conf | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/config/sources.conf b/config/sources.conf
index 35e83c5..6065185 100644
--- a/config/sources.conf
+++ b/config/sources.conf
@@ -58,4 +58,4 @@ qemu-linaro.git http://git.linaro.org/qemu/qemu-linaro.git
EEMBC.git ssh://git@dev-private.git.linaro.org/restricted-benchmarks/EEMBC.git
CPU2000.git ssh://git@dev-private.git.linaro.org/restricted-benchmarks/CPU2000.git
CPU2006.git ssh://git@dev-private.git.linaro.org/restricted-benchmarks/CPU2006.git
-fakebench.git git://git.linaro.org/toolchain/fakebench.git
+fakebench.git ssh://git@dev-private.git.linaro.org/restricted-benchmarks/fakebench.git
--
To stop receiving notification emails like this one, please contact
the administrator of this repository.